#
# (C) Tenable Network Security
#
# This plugin text was extracted from Mandrake Linux Security Advisory MDKSA-2004:070
#


if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(14169);
 script_bugtraq_id(10611);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CAN-2004-0590");
 
 name["english"] = "MDKSA-2004:070: freeswan";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is missing the patch for the advisory MDKSA-2004:070 (freeswan).


Thomas Walpuski discovered a vulnerability in the X.509 handling of
super-freeswan, openswan, strongSwan, and FreeS/WAN with the X.509 patch
applied. This vulnerability allows an attacker to make up their own Certificate
Authority that can allow them to impersonate the identity of a valid DN. As
well, another hole exists in the CA checking code that could create an endless
loop in certain instances.
Mandrakesoft encourages all users who use FreeS/WAN or super-freeswan to upgrade
to the updated packages which are patched to correct these flaws.


Solution : http://www.mandrakesoft.com/security/advisories?name=MDKSA-2004:070
Risk Factor : High";



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the freeswan package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 family["english"] = "Mandrake Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Mandrake/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"freeswan-2.04-3.1.100mdk", release:"MDK10.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"super-freeswan-1.99.8-8.1.100mdk", release:"MDK10.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"super-freeswan-doc-1.99.8-8.1.100mdk", release:"MDK10.0", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"freeswan-1.99-3.1.91mdk", release:"MDK9.1", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if ( rpm_check( reference:"freeswan-2.01-2.1.92mdk", release:"MDK9.2", yank:"mdk") )
{
 security_hole(0);
 exit(0);
}
if (rpm_exists(rpm:"freeswan-", release:"MDK10.0")
 || rpm_exists(rpm:"freeswan-", release:"MDK9.1")
 || rpm_exists(rpm:"freeswan-", release:"MDK9.2") )
{
 set_kb_item(name:"CAN-2004-0590", value:TRUE);
}
