#  This script was written by David Maciejak <david dot maciejak at kyxar dot fr>
#  based on work from
#  (C) Tenable Network Security
#
# Ref: Tan Chew Keong   - Security and Information InteGrity

if(description)
{
 script_id(14256);
 script_bugtraq_id(10834);
 if ( defined_func("script_xref") ) 
	script_xref(name:"OSVDB", value:"8273");
 
 name["english"] = "BlackJumboDog FTP server multiple command overflow";

script_version("$Revision: 1.1 $");

 script_name(english:name["english"]);
 
 desc["english"] = "
The remote host is running BlackJumboDog FTP server.

This FTP server fails to properly check the length of parameters 
in multiple FTP commands, most significant of which is USER, 
resulting in a stack overflow. 

With a specially crafted request, an attacker can execute arbitrary code 
resulting in a loss of integrity, and/or availability.

*** Nessus used a banner version to determine this vulnerability.  
*** The actual exploit was not attempted.

Solution : Upgrade to version 3.6.2 or newer

Risk factor : High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Determines the version of BlackJumboDog";

 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2004 David Maciejak");
 family["english"] = "FTP";
 script_family(english:family["english"]);
 
 script_dependencies("find_service2.nasl");
 script_require_ports(21, "Services/ftp");
 exit(0);
}

include("ftp_func.inc");
port = get_kb_item("Services/ftp");
if ( ! port ) 
	port = 21;
if ( ! get_port_state(port) ) 
	exit(0);
banner = get_ftp_banner(port:port);
if ( ! banner ) 
	exit(0);

#220 FTP ( BlackJumboDog Version 3.6.2 ) ready
if ( egrep(pattern:"^220 .*BlackJumboDog Version 3\.([0-5]\.[0-9]+|6\.[01])", string:banner ) )
	security_hole(port);


